# SnapshotProperties

## Properties

| Name                    | Type        | Description                                                                                                 | Notes                                           |
| ----------------------- | ----------- | ----------------------------------------------------------------------------------------------------------- | ----------------------------------------------- |
| **cpuHotPlug**          | **boolean** | Hot-plug capable CPU (no reboot required).                                                                  | \[optional] \[default to undefined]             |
| **cpuHotUnplug**        | **boolean** | Hot-unplug capable CPU (no reboot required).                                                                | \[optional] \[default to undefined]             |
| **description**         | **string**  | Human-readable description.                                                                                 | \[optional] \[default to undefined]             |
| **discScsiHotPlug**     | **boolean** | Hot-plug capable SCSI drive (no reboot required).                                                           | \[optional] \[default to undefined]             |
| **discScsiHotUnplug**   | **boolean** | Is capable of SCSI drive hot unplug (no reboot required). This works only for non-Windows virtual Machines. | \[optional] \[default to undefined]             |
| **discVirtioHotPlug**   | **boolean** | Hot-plug capable Virt-IO drive (no reboot required).                                                        | \[optional] \[default to undefined]             |
| **discVirtioHotUnplug** | **boolean** | Hot-unplug capable Virt-IO drive (no reboot required). Not supported with Windows VMs.                      | \[optional] \[default to undefined]             |
| **licenceType**         | **string**  | OS type of this snapshot                                                                                    | \[optional] \[default to undefined]             |
| **location**            | **string**  | Location of that image/snapshot.                                                                            | \[optional] \[readonly] \[default to undefined] |
| **name**                | **string**  | The name of the resource.                                                                                   | \[optional] \[default to undefined]             |
| **nicHotPlug**          | **boolean** | Hot-plug capable NIC (no reboot required).                                                                  | \[optional] \[default to undefined]             |
| **nicHotUnplug**        | **boolean** | Hot-unplug capable NIC (no reboot required).                                                                | \[optional] \[default to undefined]             |
| **ramHotPlug**          | **boolean** | Hot-plug capable RAM (no reboot required).                                                                  | \[optional] \[default to undefined]             |
| **ramHotUnplug**        | **boolean** | Hot-unplug capable RAM (no reboot required).                                                                | \[optional] \[default to undefined]             |
| **secAuthProtection**   | **boolean** | Boolean value representing if the snapshot requires extra protection, such as two-step verification.        | \[optional] \[default to undefined]             |
| **size**                | **number**  | The size of the image in GB.                                                                                | \[optional] \[readonly] \[default to undefined] |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ionos.com/nodejs-sdk/models/snapshotproperties.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
